- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::HessianUpdater Class Reference

Abstract base class for objects responsible for updating the Hessian information. More...

`#include <IpHessianUpdater.hpp>`

Inheritance diagram for Ipopt::HessianUpdater:

[legend]
Collaboration diagram for Ipopt::HessianUpdater:

[legend]
List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| overloaded from AlgorithmStrategyObject
virtual void | UpdateHessian ()=0
| Update the Hessian based on the current information in IpData, and possibly on information from previous calls.
Constructors/Destructors
| HessianUpdater ()
| Default Constructor.
virtual | ~HessianUpdater ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| HessianUpdater (const HessianUpdater &)
| Copy Constructor.
void | operator= (const HessianUpdater &)
| Overloaded Equals Operator.

## Detailed Description

Abstract base class for objects responsible for updating the Hessian information.

This can be done using exact second derivatives from the NLP, or by a quasi-Newton Option. The result is put into the W field in IpData.

Definition at line 22 of file IpHessianUpdater.hpp.

## Constructor & Destructor Documentation

Ipopt::HessianUpdater::HessianUpdater | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 28 of file IpHessianUpdater.hpp.

virtual Ipopt::HessianUpdater::~HessianUpdater | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 32 of file IpHessianUpdater.hpp.

Ipopt::HessianUpdater::HessianUpdater | ( | const HessianUpdater & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::HessianUpdater::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::ExactHessianUpdater, and Ipopt::LimMemQuasiNewtonUpdater.

virtual void Ipopt::HessianUpdater::UpdateHessian | ( |  | ) | `[pure virtual]`

Update the Hessian based on the current information in IpData, and possibly on information from previous calls.

Implemented in Ipopt::ExactHessianUpdater, and Ipopt::LimMemQuasiNewtonUpdater.

void Ipopt::HessianUpdater::operator= | ( | const HessianUpdater & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Algorithm/IpHessianUpdater.hpp